Debian Bug report logs - #663091
/usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Christoph Egger <christoph@debian.org>

Date: Thu, 8 Mar 2012 12:42:02 UTC

Severity: important

Found in version kfreebsd-kernel-headers/0.77

Fixed in version kfreebsd-kernel-headers/0.78

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#663091; Package kfreebsd-kernel-headers. (Thu, 08 Mar 2012 12:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 08 Mar 2012 12:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Thu, 08 Mar 2012 13:24:28 +0100
Package: kfreebsd-kernel-headers
Version: 0.77
Severity: important

Hi!

  Seems there's some problem with netinet/in_pcb.h. S⇧eeing this for
example in hplip's current build failure.

christoph@ka ~
13:02 0 % gcc test.c
In file included from /usr/include/net-snmp/system/kfreebsd.h:56:0,
                 from /usr/include/net-snmp/net-snmp-config.h:1766,
                 from test.c:1:
/usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant

christoph@ka ~
13:02 1 % cat test.c
#include <net-snmp/net-snmp-config.h>

int main() {
}


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#663091; Package kfreebsd-kernel-headers. (Thu, 08 Mar 2012 13:39:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 08 Mar 2012 13:40:09 GMT) Full text and rfc822 format available.

Message #10 received at 663091@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 663091@bugs.debian.org
Subject: Re: Bug#663091: /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Thu, 08 Mar 2012 14:38:25 +0100
Hi!

Christoph Egger <christoph@debian.org> writes:
>   Seems there's some problem with netinet/in_pcb.h. S⇧eeing this for
> example in hplip's current build failure.

cyrus-imapd-2.4 is the other failure due to this problem.

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 09 Mar 2012 21:19:02 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 09 Mar 2012 21:19:02 GMT) Full text and rfc822 format available.

Message #15 received at 663091-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 663091-done@bugs.debian.org
Subject: Re: Bug#663091: /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Fri, 9 Mar 2012 22:05:07 +0100
Version: 0.77

El 8 de març de 2012 13:24, Christoph Egger <christoph@debian.org> ha escrit:
> christoph@ka ~
> 13:02 0 % gcc test.c
> In file included from /usr/include/net-snmp/system/kfreebsd.h:56:0,
>                 from /usr/include/net-snmp/net-snmp-config.h:1766,
>                 from test.c:1:
> /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant

<netinet/in_pcb.h> users are expected to include <machine/param.h>
first.  This is also a requirement on FreeBSD.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#663091; Package kfreebsd-kernel-headers. (Fri, 09 Mar 2012 21:19:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 09 Mar 2012 21:19:05 GMT) Full text and rfc822 format available.

Message #20 received at 663091@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 663091@bugs.debian.org
Subject: Re: Bug#663091: /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Fri, 9 Mar 2012 22:10:10 +0100
El 9 de març de 2012 22:05, Robert Millan <rmh@debian.org> ha escrit:
>> /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
>
> <netinet/in_pcb.h> users are expected to include <machine/param.h>
> first.  This is also a requirement on FreeBSD.

Uhm actually, it's possible this wasn't intentional.  I'll check with upstream.

-- 
Robert Millan




Bug No longer marked as fixed in versions 0.77 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Mar 2012 21:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#663091; Package kfreebsd-kernel-headers. (Thu, 15 Mar 2012 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 15 Mar 2012 22:12:03 GMT) Full text and rfc822 format available.

Message #27 received at 663091@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 663091@bugs.debian.org
Subject: kfreebsd-kernel-headers, /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Thu, 15 Mar 2012 23:08:43 +0100
Hi!

  Any news on this? If you conclude this isn't a bug in kernel headers
can you please reasign it to src:net-snmp? Fix for this would be the
following patch probably:

--- net-snmp-5.4.3~dfsg/debian/patches/26_kfreebsd.patch        2011-01-05 13:12:04.000000000 +0100
+++ net-snmp-5.4.3~dfsg/debian/patches/26_kfreebsd.patch        2012-03-14 04:57:58.000000000 +0100
@@ -75,6 +75,7 @@
 +typedef     u_quad_t so_gen_t;
 +
 +#define _SYS_SOCKETVAR_H_
++#include <machine/param.h>
 +#include <netinet/in_pcb.h>
 +
 +struct  xtcpcb {

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#663091; Package kfreebsd-kernel-headers. (Fri, 16 Mar 2012 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@freebsd.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 16 Mar 2012 22:03:02 GMT) Full text and rfc822 format available.

Message #32 received at 663091@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@freebsd.org>
To: Christoph Egger <christoph@debian.org>, 663091@bugs.debian.org
Subject: Re: Bug#663091: kfreebsd-kernel-headers, /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Fri, 16 Mar 2012 23:01:14 +0100
El 15 de març de 2012 23:08, Christoph Egger <christoph@debian.org> ha escrit:
> Hi!
>
>  Any news on this? If you conclude this isn't a bug in kernel headers
> can you please reasign it to src:net-snmp? Fix for this would be the
> following patch probably:

Please give me some time.  I'm discussing this with upstream, but so
far I got contradictory responses. I need to make sure the upstream
position on this is clear since otherwise it wouldn't be suitable to
rely on.

When it's been clarified, you'll be the first to know.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#663091; Package kfreebsd-kernel-headers. (Sat, 17 Mar 2012 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@freebsd.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 17 Mar 2012 22:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 663091@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@freebsd.org>
To: Christoph Egger <christoph@debian.org>, 663091@bugs.debian.org
Subject: Re: Bug#663091: kfreebsd-kernel-headers, /usr/include/netinet/in_pcb.h:390:1: error: requested alignment is not a constant
Date: Sat, 17 Mar 2012 23:15:32 +0100
El 16 de març de 2012 23:01, Robert Millan <rmh@freebsd.org> ha escrit:
> When it's been clarified, you'll be the first to know.

The <sys/param.h> dependency has been dropped in upstream, see:

http://svnweb.freebsd.org/base?view=revision&revision=233096

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 17 Mar 2012 22:36:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sat, 17 Mar 2012 22:36:06 GMT) Full text and rfc822 format available.

Message #42 received at 663091-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 663091-close@bugs.debian.org
Subject: Bug#663091: fixed in kfreebsd-kernel-headers 0.78
Date: Sat, 17 Mar 2012 22:33:48 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.78

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.78.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.78.dsc
kfreebsd-kernel-headers_0.78.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.78.tar.gz
kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Mar 2012 23:16:31 +0100
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.78
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kFreeBSD headers for development
Closes: 663008 663091
Changes: 
 kfreebsd-kernel-headers (0.78) unstable; urgency=low
 .
   * Add <net/ppp_defs.h>, alongside ppp.c test.  (Closes: #663008)
   * Fix buildability of <netinet/in_pcb.h>.  (Closes: #663091)
Checksums-Sha1: 
 619e81150c0dbca3493060f741e67bfc71f86018 1201 kfreebsd-kernel-headers_0.78.dsc
 1e58fdc36609c1c39480234753f1b3525c48e0e9 52520 kfreebsd-kernel-headers_0.78.tar.gz
 b3450f6e0687f404c6f3ec3b822195e085cc3a0c 1615962 kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb
Checksums-Sha256: 
 0486672564916ced1b759a2bf190a337cd72b244d0b695d3c9416aa12e1895f5 1201 kfreebsd-kernel-headers_0.78.dsc
 eac0c34f41e0a963ff51831af9f168bbe62a28227f6f70309ef8b2513ac8eedb 52520 kfreebsd-kernel-headers_0.78.tar.gz
 7cb2c41924ab19bec815c7630f525d93e53ec06fe5cedb60bddd4ef8fda307cf 1615962 kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb
Files: 
 bd2e76eb8f5a7a3fb9d7b380ec9bde20 1201 kernel standard kfreebsd-kernel-headers_0.78.dsc
 e5a109b9f40a27c9e0d9ca980e7600de 52520 kernel standard kfreebsd-kernel-headers_0.78.tar.gz
 01108dbbb2c3f78cd33d37f0b6f5bfaa 1615962 kernel standard kfreebsd-kernel-headers_0.78_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk9lDigACgkQC19io6rUCv90cQCaArOnHaRLBMrsX/cZQ0VyCucm
8PsAoIBSH1q56wof2unWhkENU6N619V0
=cIRJ
-----END PGP SIGNATURE-----





Added indication that bug 663091 blocks 659279 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 12:27:46 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 May 2012 07:44:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:24:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.